xmlgraphics-fop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas 'PAX' Lück (Jira) <j...@apache.org>
Subject [jira] [Commented] (FOP-2935) servlet-api dependency scope
Date Fri, 27 Nov 2020 09:47:00 GMT

    [ https://issues.apache.org/jira/browse/FOP-2935?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17239600#comment-17239600
] 

Andreas 'PAX' Lück commented on FOP-2935:
-----------------------------------------

It seems that the latest version is 2.5: [org.apache.xmlgraphics:fop-core:2.5|https://search.maven.org/artifact/org.apache.xmlgraphics/fop-core/2.5/jar]

But servlet-api still has scope compile instead of provided?

> servlet-api dependency scope
> ----------------------------
>
>                 Key: FOP-2935
>                 URL: https://issues.apache.org/jira/browse/FOP-2935
>             Project: FOP
>          Issue Type: Bug
>    Affects Versions: 2.4
>            Reporter: Stefan Ziegler
>            Assignee: Simon Steiner
>            Priority: Major
>             Fix For: trunk
>
>
> I had troubles with the Apache FOP's servlet-api:2.2 dependency in a Spring Boot application.
The "javax.servlet.ServletContext" class is available in Spring Boot's Tomcat dependency and
in FOP's servlet-api dependency. If Java picks up the the class from servlet-api it's too
old. Tomcat refuses to start.
> Can the scope of the servlet-api be changed in FOP's pom.xml?



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message